var path = "//" + location.host,
    validations = {
        localizadorResult: false,
        localizadorValidation: function(jQueryform, submit) {
            var localizador = jQuery('input[name="localizador_extras"]').val(),
                submit      = submit || false;

            var tipo_pago   = jQuery('input[name="pago"]:checked').val();	
            var tiempo_pago = jQuery('#tiempo_pago').val();

            jQuery
                .ajax({
                    url      : ROOTGESTOR  + "ApiCompraV2/validacion_compra", 
                    data     : JSON.stringify({  
                        localizador,
                        tipo_pago,
                        tiempo_pago,
                    }),
                    dataType : "json",
                    type     : "POST",
                    cache    : false
                })
                .done(function(json) {                  
                    if (json) {
                                                         
                        jQueryform[0].submit();
                        
                    } else {
                        var dom = '<div id="session-caducada-msg" class="col-xs-12 col-sm-12"><label class="error">Lo sentimos, su sesión ha caducado. Inténtelo de nuevo.</label></div>';

                        jQuery(".finalizar_compra").before(dom);

                        setTimeout(function() {
                            window.location = path;
                        }, 5000);
                    }
                });
       
        },
        preguntasResult: false
    };

function EstablecerValidaciones(){
    var jQueryform = jQuery("#Redsys, #Paypal, #modulo_reservas");

    // Realizamos las validaciones oportunas
    jQueryform.find('input[type="submit"]').on("click", function() {
        jQuery(this).prop('disabled', true);
        validations.localizadorValidation(jQueryform, false);

        return false;
    });
}

